Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mysql.jdbc
Class PreparedStatement.BatchParams

    java.lang.Object
      com.mysql.jdbc.PreparedStatement.BatchParams

Enclosing class:
  PreparedStatement

     class PreparedStatement.BatchParams

extends java.lang.Object

Field Summary
`(package private) boolean[]` | `isNull`
`(package private) boolean[]` | `isStream`
`(package private) java.io.InputStream[]` | `parameterStreams`
`(package private) byte[][]` | `parameterStrings`
`(package private) int[]` | `streamLengths`

Constructor Summary
`PreparedStatement.BatchParams(byte[][] strings, java.io.InputStream[] streams, boolean[] isStreamFlags, int[] lengths, boolean[] isNullFlags)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isNull

    boolean[] isNull

### isStream

    boolean[] isStream

### parameterStreams

    java.io.InputStream[] parameterStreams

### parameterStrings

    byte[][] parameterStrings

### streamLengths

    int[] streamLengths

Constructor Detail

### PreparedStatement.BatchParams

    PreparedStatement.BatchParams(byte[][] strings,
                                  java.io.InputStream[] streams,
                                  boolean[] isStreamFlags,
                                  int[] lengths,
                                  boolean[] isNullFlags)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD